org.eclipse.jgit.transport

## Class PackParser.UnresolvedDelta

- java.lang.Object
- - org.eclipse.jgit.transport.PackParser.UnresolvedDelta

Enclosing class:
  PackParser

    public static class PackParser.UnresolvedDelta
    extends Object

Information about an unresolved delta in this pack stream.

### Constructor Summary

Constructors
Constructor and Description
`PackParser.UnresolvedDelta()`

### Method Summary

Methods
`int` `getCRC()`
`long` `getOffset()`
`void` `setCRC(int crc32)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackParser.UnresolvedDelta

    public PackParser.UnresolvedDelta()

### Method Detail

#### getOffset

    public long getOffset()

Returns:
  offset within the input stream.

#### getCRC

    public int getCRC()

Returns:
  the CRC-32 checksum of the stored delta data.

#### setCRC

    public void setCRC(int crc32)

Parameters:
  `crc32` - the CRC-32 checksum of the stored delta data.